All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
sparse.cpp File Reference
`#include <boost/numeric/ublas/triangular.hpp>`
`#include <boost/numeric/ublas/vector.hpp>`
`#include <boost/numeric/ublas/vector_proxy.hpp>`
`#include <boost/numeric/ublas/matrix_sparse.hpp>`
`#include <boost/numeric/ublas/operation_sparse.hpp>`
`#include <boost/numeric/ublas/lu.hpp>`
`#include "viennacl/scalar.hpp"`
`#include "viennacl/vector.hpp"`
`#include "viennacl/coordinate_matrix.hpp"`
`#include "viennacl/compressed_matrix.hpp"`
`#include "viennacl/ell_matrix.hpp"`
`#include "viennacl/hyb_matrix.hpp"`
`#include "viennacl/sliced_ell_matrix.hpp"`
`#include "viennacl/linalg/prod.hpp"`
`#include "viennacl/linalg/norm_2.hpp"`
`#include "viennacl/io/matrix_market.hpp"`
`#include "viennacl/linalg/ilu.hpp"`
`#include "viennacl/tools/timer.hpp"`
`#include <iostream>`
`#include <vector>`

Go to the source code of this file.

## Macros

#define | NDEBUG
#define | VIENNACL_WITH_UBLAS 1
#define | BENCHMARK_RUNS 10

## Functions

void | printOps (double num_ops, double exec_time)
template<typename ScalarType >
int | run_benchmark ()
int | main ()

## Macro Definition Documentation

#define BENCHMARK_RUNS 10

Definition at line 57 of file sparse.cpp.

#define NDEBUG

Definition at line 26 of file sparse.cpp.

#define VIENNACL_WITH_UBLAS 1

Definition at line 29 of file sparse.cpp.

## Function Documentation

int main | ( |  | ) |

Definition at line 320 of file sparse.cpp.

void printOps | ( | double | num_ops,
|  | double | exec_time
| ) |  |

inline

Definition at line 60 of file sparse.cpp.

template<typename ScalarType >

int run_benchmark | ( |  | ) |

Definition at line 67 of file sparse.cpp.